<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
  <meta charset="utf-8">
  <title></title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <link rel="stylesheet" href="css/style.css">
  <script src="https://cdn.jsdelivr.net/npm/marked/marked.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.5.0.js"></script>
  <script src="js/index.js"></script>
</head>
<div id="resultOverlay" class="card container">
  <div class="container">
    <div id="closeBar" class="d-flex flex-row-reverse pt-3">
      <button id="btn-close" type="button" class="close" aria-label="Close" onclick="closeResult()">
        <span id="span-close" aria-hidden="true">&times;</span>
      </button>
    </div>
    <div id="resultContent" class="card-body">

    </div>
  </div>
</div>

<body>
  <?php
  $topic;
  if (base64_decode($_GET['t']) == 'v') {
    $topic = "vegetarian";
  } else if (base64_decode($_GET['t']) == 's') {
    $topic = "schooluniforms";
  }

  $fileContent = file_get_contents("./json/" . $topic . ".json");
  $data =  json_decode($fileContent, true);

  $query = base64_decode($_GET['q']);

  ?>
  <div id="results" class="container">
    <div class="row">
      <div class="col">
        <div class="container">
          <div class="row mt-3">
            <div class="col-md-9">
              <input id="queryInput" class="form-control form-control-md rounded-pill" disabled value="<?php echo $data[$query]["query"]; ?>">
            </div>
            <div class="col-md-3">
              <button type="submit" id="btn-search" class="btn btn-outline-primary rounded-pill" disabled>
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
                  <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z" />
                </svg>
                Search
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <hr class="mt-3">
    <div id="spinner" class="row">
      <div class="col text-center">
        <div class="spinner-border text-primary" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
    </div>
    <div id="searchresults" class="row">
      <div class="col-md-8">
        <?php foreach (range(0, 19) as $i) { ?>
          <div rank=<?php echo $i + 1; ?> class="searchresult container mt-3 
          <?php
          if ($i < 10) {
            echo "firstpage";
          } else {
            echo "secondpage";
          }
          ?>">
            <div id=<?php echo "url-" . $i; ?> class="row url">
              <p class="mb-0">www.hiddenurl.com</p>
            </div>
            <div id=<?php echo "title-" . $i; ?> rank=<?php echo $i + 1; ?> onclick=<?php echo "clickResult(" . $i . ")"; ?> class="row title">
              <h4>Test Title <?php echo $i + 1; ?></h4>
            </div>
            <div id=<?php echo "preview-" . $i; ?> class="row textpreview">
              <p></p>
            </div>
          </div>
        <?php } ?>
      </div>
    </div>
    <div id="pagination" class="row">
      <hr class="mt-3">
      <div class="col d-flex justify-content-center">
        <ul class="pagination">
          <li id="page-1" class="page-item active">
            <a id="a-page-1" href="#" onclick="setPage(0)" class="page-link">1</a>
          </li>
          <li id="page-2" class="page-item">
            <a id="a-page-2" href="#" onclick="setPage(1)" class="page-link">2</a>
          </li>
        </ul>
      </div>
    </div>
  </div>
  
  
</body>
<script src="js/logui.bundle.js"></script>

</html>